Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::OutletGroupManager::GroupCreatedEvent Struct Reference

Event: A new outlet group has been created. More...

Inheritance diagram for pdumodel::OutletGroupManager::GroupCreatedEvent:

## Public Attributes
int | id
| The ID under which the outlet group manager references this group; may be reused after a group is deleted.
int | uniqueId
| Random ID uniquely identifying the new group.
OutletGroup | group
| The new group.
OutletGroup::Settings | settings
| The new group's settings.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A new outlet group has been created.

The documentation for this struct was generated from the following file:

- OutletGroupManager.idl